# Search transfers Endpoint: POST /transfers/account/{AccountIdentifier}/action/search Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" ## Query parameters: - `page` (integer) - `size` (integer) - `include` (string) Comma-separated values from optional response fields ## Request fields (application/json): - `transferIdentifier` (string) - `type` (string) Enum: "BUY", "SELL" - `statuses` (array) Enum: "NEW", "INCOMING", "PENDING_APPROVAL", "APPROVED", "REJECTED", "SETTLED", "SETTLEMENT_FAILURE", "CANCELLED", "WITHDRAWN", "SETTLED_AS_FORWARD_TRANSFER", "PENDING_CANCELLATION", "EXPIRED", "PENDING_SETTLEMENT", "PENDING_CUSTODIAN_TRANSFER" - `registryStatuses` (array) Enum: "NEW", "PENDING_CONFIRMATION", "CONFIRMED", "REJECTED", "WITHDRAWN", "EXPIRED", "FAILED", "PLACE_READY", "CONFIRM_READY", "REJECT_READY", "WITHDRAW_READY", "PLACE_ERROR", "CONFIRM_ERROR", "REJECT_ERROR", "WITHDRAW_ERROR" - `lastUpdatedDateFrom` (string) - `lastUpdatedDateTo` (string) - `counterpartyName` (string) - `programs` (array) ## Response 200 fields (application/json): - `page` (integer, required) - `size` (integer, required) - `totalPages` (integer, required) - `totalElements` (integer, required) - `content` (array) - `content.identifier` (string) Unique identifier. - `content.counterparty` (string) Counterparty name. - `content.type` (string) Transfer type Buy or Sell. Enum: "BUY", "SELL" - `content.status` (string) Xpansiv Connect status for the transfer. Enum: "NEW", "INCOMING", "PENDING_APPROVAL", "APPROVED", "REJECTED", "SETTLED", "SETTLEMENT_FAILURE", "CANCELLED", "WITHDRAWN", "SETTLED_AS_FORWARD_TRANSFER", "PENDING_CANCELLATION", "EXPIRED", "PENDING_SETTLEMENT", "PENDING_CUSTODIAN_TRANSFER" - `content.registryStatus` (string) Status of the transfer in the registry. Enum: "NEW", "PENDING_CONFIRMATION", "CONFIRMED", "REJECTED", "WITHDRAWN", "EXPIRED", "FAILED", "PLACE_READY", "CONFIRM_READY", "REJECT_READY", "WITHDRAW_READY", "PLACE_ERROR", "CONFIRM_ERROR", "REJECT_ERROR", "WITHDRAW_ERROR" - `content.quantity` (integer) Transfer quantity. - `content.dealIds` (array) Deal id's associated with the transfer. - `content.externalTransferIdentifier` (string) External identifier if provided by the Xpansiv Connect client. - `content.createdDate` (string) Transfer created date. - `content.transferDate` (string) Transfer date. - `content.lastUpdatedDate` (string) Last updated date. - `content.expectedSettlementDate` (string) Expected settle date. - `content.actualSettlementDate` (string) Actual settle date. - `content.registryTransferIdentifier` (string) Registry identifier if provided. - `content.unitPrice` (object) - `content.unitPrice.currency` (string, required) Currency (USD etc...) - `content.unitPrice.amount` (number, required) The numeric value of the price - `content.showPriceInRegistry` (boolean) PJM and NEPOOL registries only. - `content.registryTransferPurpose` (string) Enum: "SPOT", "LONG", "REPORTING" - `content.instrument` (any) - `content.batchIdentifier` (string) Tha batch identifier for the transfer transaction. - `content.transferTaxLots` (array) Optional property. Use include param. - `content.transferTaxLots.taxLot` (object, required) A Tax Lot represents the incoming activity that resulted in the creation or increase of a position against an EIN. The types of activities represented by Tax Lots are; imported positions (at account linking); incoming settled bilateral transfers; or credit issuance. Tax Lot is associated with a Position, where 1 or more Tax Lots make up the available quantity for a single Position - `content.transferTaxLots.taxLot.id` (integer) The unique identifier for the tax lot - `content.transferTaxLots.taxLot.name` (string) The name of the tax lot, normally made up of tax lot type and established date - `content.transferTaxLots.taxLot.establishedDate` (string) The timestamp for when the tax lot was established, meaning when the transaction that created the tax lot was accepted in XC - `content.transferTaxLots.taxLot.establishQuantity` (integer) The original quantity of credits that created the tax lot. This value is optional and must be specifically requested when using this call. - `content.transferTaxLots.taxLot.pricePaid` (object) - `content.transferTaxLots.taxLot.availableQuantity` (integer) The quantity available of the tax lot for transfer or retirement - `content.transferTaxLots.taxLot.encumberedQuantity` (integer) The quantity encumbered of the tax lot on an execution venue integrated with XC - `content.transferTaxLots.taxLot.unsettledQuantity` (integer) The quantity unsettled of the tax lot. This can represent a quantity that is in a bilateral transaction, buy or sell, that is pending and not yet settled in the registry. - `content.transferTaxLots.taxLot.estimatedMarketPrice` (number) The estimated price associated with the highest value market this tax lot has a certification with where prices have been uploaded from the CBL Exchange. Optional property. Use include param. - `content.transferTaxLots.taxLot.estimatedMarketValue` (number) Using the Estimated Market Price, this represents the estimated market value of the tax lot based on the tax lot position quantity. Optional property. Use include param. - `content.transferTaxLots.taxLot.estimatedGainLoss` (number) Utilizing both Price Paid and Estimated Market Price against tax lot quantity to determine if there was a financial gain or loss for this tax lot. Optional property. Use include param. - `content.transferTaxLots.taxLot.previousCounterparty` (string) The registry name of the counterparty that transferred the credits of this tax lot to the XC client. This value is optional and must be specifically requested when using this call. - `content.transferTaxLots.taxLot.externalTradeId` (string) An external trade/transaction identifier as provided by the XC client for this position. This value is optional and must be specifically requested when using this call. - `content.transferTaxLots.taxLot.dealId` (string) A deal Identifier as provided by the XC client for this position if associated with a forward deal delivery. This value is optional and must be specifically requested when using this call. - `content.transferTaxLots.quantity` (integer) ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_REQUEST", "INVALID_PROGRAM", "INVALID_TRANSFER_TYPE", "INVALID_TRANSFER_STATUS", "INVALID_REGISTRY_TRANSFER_STATUS", "INVALID_DATE_RANGE", "INVALID_PAGE_SIZE", "INVALID_PAGE_NUMBER" - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)